# $Revision: 1.16 $, $Date: 2006/12/29 15:54:33 $
%define		_modname	fileinfo
%define		_smodname	Fileinfo
%define		_status		beta
Summary:	%{_modname} - libmagic bindings
Summary(pl):	%{_modname} - dowizania biblioteki libmagic
Name:		php-pecl-%{_modname}
Version:	1.0.4
Release:	3
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_smodname}-%{version}.tgz
# Source0-md5:	2854e749db157365c769cb9496f5586f
Patch0:		pecl-fileinfo-defaultdb.patch
URL:		http://pecl.php.net/package/Fileinfo/
BuildRequires:	libmagic-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows retrieval of information regarding vast majority
of file. This information may include dimensions, quality, length
etc...

Additionally it can also be used to retrieve the MIME type for a
particular file and for text files proper language encoding.

In PECL status of this extension is: %{_status}.

%description -l pl
To rozszerzenie pozwala na uzyskanie wielu informacji na temat plikw.
Informacje te uwzgldniaj midzy innymi rozmiar, jako, dugo itp.

Dodatkowo moe by uyte do uzyskania typu MIME danego pliku, a dla
plikw tekstowych - uytego kodowania.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
%patch0 -p1

%build
cd %{_smodname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_smodname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_smodname}-%{version}/{CREDITS,EXPERIMENTAL,fileinfo.php}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-fileinfo.spec,v $
Revision 1.16  2006/12/29 15:54:33  glen
- do not set magic db, use system defaults; rel 3

Revision 1.15  2006/12/28 13:41:15  glen
- use new php extension related macros

Revision 1.14  2006/12/13 22:27:14  glen
- rel 2 (php 5.2.0)

Revision 1.13  2006/11/27 22:34:33  adamg
- updated to 1.0.4

Revision 1.12  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.11  2005/12/24 16:09:43  adamg
- updated to 1.0.1
- fix build on php5.1

Revision 1.10  2005/12/24 15:39:16  glen
- rel 2 (rebuild with new php)

Revision 1.9  2005/11/16 07:04:53  qboosh
- pl cosmetics

Revision 1.8  2005/11/12 08:39:27  adamg
- updated to 1.0; release 1

Revision 1.7  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.6  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.5  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.4  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.3  2004/05/30 18:48:25  qboosh
- caps

Revision 1.2  2004/05/30 17:49:04  adamg
- more specific BuildRequires (this extension requires php5)

Revision 1.1  2004/05/30 16:34:26  adamg
- new
